<!doctype html>
<html lang="en">

<head>

<meta charset="UTF-8">
<title>Rpi Test Server</title>
	
<style type="text/css">

body.mainBody
{
	color: #000000;
	background-color: #FFFFFF;
	width: 85%;
	text-align: left;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 25px;
	font-size: 100%;
}

div.container
{
	overflow: auto;
	width: 100%;
	height: 100%;
}

@media (min-width:1111px)
{
	.box
	{
		box-sizing: border-box;
		float: left;
		width: 33%;
		height: 240px;
	}
}

@media (min-width:801px) and (max-width:1110px)
{
	.box
	{
		box-sizing: border-box;
		float: left;
		width: 50%;
		height: 240px;
	}
}

@media (max-width:800px)
{
	.box
	{
		box-sizing: border-box;
		float: left;
		width: 100%;
		height: 240px;
	}
}

</style>

</head>


<body class="mainBody">

<center><h1>Raspberry Pi Feeding Station</h1></center>

<a href="index.php"><h3><- Back to main menu<h3></a>

<hr>

<h3>Captured Images</h3>

<div class=container>

<?php
	// Grab images from web cam, which are placed in a folder

	$dirname = "camera/";
	$images_in_folder = glob($dirname."*.jpg");
	$sorted_newest_first_image_list = array_reverse($images_in_folder);
	foreach($sorted_newest_first_image_list as $image)
	{
		echo '<div class="box"><a href="'.$image.'"><img src="'.$image.'" style="width:300px;height:220px;"/></a><br /></div>';
	}
?>

</div>

</body>
</html>