<?php

session_start();
if ($_SESSION['login']==true || ($_POST['user']=="yourUserName" && $_POST['pass']=="yourPassword")) {
    //If they already have a session, give them access.
    //If not, check for posted UN & PW and if correct, give access.
    $_SESSION['login']=true; //Set login to true in case they got in via UN & PW
	//Remove login form, and show admin stuff
	
	$useronline = true;
	
	//Check if admin functions are to be run
	if (isset($_POST['feedportion'])) {
		// Dish out a portion
		shell_exec('./feed_portion.sh');
	}
	
	if (isset($_POST['setrtctime'])) {
		// Update the RTC time
		shell_exec('python setup_rtc.py');
	}
	
	if (isset($_POST['deleteimages'])) {
		// Empty the motion capture folder for all content
		shell_exec('./purge_camera_folder.sh');
	}
	
	if (isset($_POST['takesnapshot'])) {
		// Force the camera to take a picture
		//shell_exec('./camera_snap.sh');
		shell_exec('sudo /etc/init.d/motionCapture still >/dev/null 2>/dev/null &');
	}
	
	if (isset($_POST['stopTimedFeeding'])) {
		// Stop the motion capture service
		shell_exec('sudo /etc/init.d/motionCapture stop');
	}
	
	if (isset($_POST['shutdownSystem'])) {
		// Safely shutdown the system
		shell_exec('sudo shutdown -h now');
	}
	
	if (isset($_POST['printCrontabList'])) {
		// Return the list of crontab jobs
		$crontab_job_list = shell_exec('crontab -l');
		$_SESSION['jobs_list'] = $crontab_job_list;
	}
	
	if (isset($_POST['stopTimedFeeding'])) {
		// Clear all crontab jobs
		shell_exec('crontab -r');
	}
	
	if (isset($_POST['newInterval'])) {
		// Write a new feeding interval value
		try {
			// read into array
			//$arr = file("feed_freq.txt");
			// Update first line
			//$arr[0] = "Feed Interval[s]: " . $_POST['newFeedingInterval'] . "\n";
			// reindex array
			//$arr = array_values($arr);
			// write back to file
			//file_put_contents("feed_freq.txt", implode($arr));
			
			$feedingInterval = 24 / $_POST['newFeedingInterval'];
			
			// Roughly 12 reliable feedings from the machine. If the food dislodger works, this number is closer to 18.
			$hours_of_food = $feedingInterval * 12;
			$days_of_food = $hours_of_food / 24;
			
			$myfile = fopen("feed_freq.txt", "w");
			$txt = "Feed Interval[s]: " . $feedingInterval . " hours.\nThe dispenser will be empty in\n" . $hours_of_food . " hours (" . $days_of_food . " days) at this rate,\nfrom completely full.";
			fwrite($myfile, $txt);
			fclose($myfile);
			
			// Update Crontab here too!
			// Clear all crontab jobs
			shell_exec('crontab -r');
			// Enter command
			shell_exec('(echo "0 */' . $feedingInterval . ' * * * /var/www/feed_portion.sh") | crontab -');
			
			//echo("Updated feeding interval to: " . $feedingInterval . "<br />\n");
		} catch (Exception $e) {
			//echo 'Error updating feed interval: ',  $e->getMessage(), "\n";
		}
	}
	
}else {
	//Not already logged in, not sent a password. Display login form, and no admin stuff.
	
	$useronline = false;
}

header('Location: index.php');

?>
